Question About Lightsquid



  • Hello all. I've installed the Squid package on my pfSense 1.2.3-Release box as a transparent proxy. It appears to be running however, I could not get Lightsquid to work. When looking on the Lightsquid Home Site, they mention that lightsquid requires an http server (Apache, lighthttpd) to run. Am I supposed to install Apache on pfSense in order to get Lightsquid particularly the lightparser.pl to operate properly?



  • PFSense already contains HTTP server. Lightsquid package contains all what need.
    1. Configure, Run & use squid - Log file must enabled and exists
    2. Configure LS package and manually run Full update
    3. Call LS statistic via browser.



  • Thanks for the quick response.



  • Hi Guys

    I have the 500 problem with LG using PF2(beta)

    my config is:
    lightsquid-1.8
    perl-5.10.1_1
    perl-5.10.1_2
    squid-2.7.9
    squidGuard-1.4_2

    is there a way to fix this?

    Kind regards
    Aubrey Kloppers
    South Africa
    ps - I have looked at the other 500 forum messages, but it all points to earlier releases…


  • Rebel Alliance Developer Netgate

    cyber7,

    That is unrelated to this thread. Start a new thread with an appropriate subject.


Log in to reply